import React from 'react';
import { ReactNode } from 'react';
import { FormProps } from 'antd';
import { Isearch } from '../WForm';
interface ColumnProps {
    title: string;
    dataIndex: string;
    key?: string | number;
    width?: number;
    ellipsis?: Boolean;
    showTitle?: Boolean;
    copyable?: Boolean;
    fixed?: 'left' | 'right';
    hideInTable?: boolean;
    hideInSearch?: boolean;
    search?: {
        transform?: (value: any) => Record<string, any>;
    };
    valueType?: 'text' | 'select' | 'date' | 'dateTime' | 'dateMonth' | 'dateYear' | 'dateRange' | 'dateTimeRange' | 'checkbox' | 'radio' | 'radioButton' | 'switch' | 'digit' | 'treeSelect' | 'image';
    valueEnum?: Record<string, any>;
    children?: ColumnProps[];
    fieldProps?: Record<string, any>;
    formItemProps?: Record<string, any>;
    order?: number;
    colSize?: number;
    initialValue?: any;
    request?: () => Promise<any>;
    render?: (text: string, record: Record<string, any>, index: number) => ReactNode;
}
interface IRowSelection {
    type: 'checkbox' | 'radio';
    selectedRowKeys?: Array<string | number>;
    defaultSelectedRowKeys?: Array<string | number>;
    /**
     * 选中项发生变化时的回调
     */
    onChange?: (selectedRowKeys: Array<string | number>, selectedRows: Array<Record<string, any>>) => void;
    /**
     * 用户手动选择/取消选择某行的回调
     */
    onSelect?: (record: Record<string, any>, selected: boolean, selectedRows: Record<string, any>[], nativeEvent: MouseEvent) => void;
    /**
     * 用户手动选择/取消选择所有行的回调
     */
    onSelectAll?: (selected: boolean, selectedRows: Record<string, any>[], changeRows: Record<string, any>[]) => void;
}
interface Iscroll {
    /**
     * 当分页、排序、筛选变化后是否滚动到表格顶部
     */
    scrollToFirstRowOnChange?: boolean;
    /**
     * 设置横向滚动，也可用于指定滚动区域的宽，可以设置为像素值，百分比，true 和 'max-content'
     */
    x?: string | number;
    /**
     * 	设置纵向滚动，也可用于指定滚动区域的高，可以设置为像素值
     */
    y?: string | number;
}
declare type Props = {
    className?: string;
    rowClassName?: (record: Record<string, any>, index: number) => string;
    style?: React.CSSProperties;
    tbodyStyle?: React.CSSProperties;
    thStyle?: React.CSSProperties;
    columns: ColumnProps[];
    border?: Boolean;
    params?: Record<string, any>;
    dataSource?: Record<string, any>[];
    request?: (params?: {
        pageSize?: number;
        current?: number;
    }, sort?: any, filter?: any) => Promise<any>;
    onLoad?: (dataSource: Record<string, any>[], res: Record<string, any>) => void;
    onSubmit?: (params: Record<string, any>) => void;
    onReset?: () => void;
    rowKey: ((record: Record<string, any>) => number | string) | string;
    onRow?: (record: Record<string, any>, index: any) => Record<string, any>;
    rowSelection?: IRowSelection;
    scroll?: Iscroll;
    pagination?: false | Record<string, any>;
    formRef?: any;
    children?: ReactNode;
    form?: FormProps;
    search?: Isearch | false;
    frameBoxTable?: boolean;
    frameBoxDirection?: 'in' | 'out';
    none?: ReactNode;
};
declare function NtTable({ columns, dataSource: tableList, request, onLoad, params, onSubmit, rowKey, onRow, className, rowClassName, rowSelection, style, tbodyStyle, thStyle, border, scroll, pagination, search, frameBoxTable, frameBoxDirection, formRef, none, ...props }: Props): JSX.Element;
declare namespace NtTable {
    var defaultProps: {
        rowKey: string;
    };
}
declare const _default: React.MemoExoticComponent<typeof NtTable>;
export default _default;
