import React, { MutableRefObject } from 'react';
import { ReactNode } from 'react';
import { FormInstance, FormProps } from 'antd';
export interface ColumnProps {
    title: string;
    dataIndex: string;
    key?: string | number;
    width?: number;
    ellipsis?: Boolean;
    showTitle?: Boolean;
    hideInSearch?: boolean;
    search?: {
        transform?: (value: any) => Record<string, any>;
        transformSetForm?: (value: any) => Record<string, any>;
    };
    valueType?: 'text' | 'textarea' | 'inputNumber' | 'select' | 'treeSelect' | 'date' | 'dateTime' | 'dateMonth' | 'dateYear' | 'dateRange' | 'dateTimeRange' | 'checkbox' | 'radio' | 'radioButton' | 'switch' | 'digit' | 'cascader' | 'upload';
    valueEnum?: Record<string, any>;
    options?: Record<string, any>[];
    useFirstIteminitialValue?: boolean;
    fieldProps?: Record<string, any>;
    formItemProps?: Record<string, any>;
    order?: number;
    colSize?: number;
    initialValue?: any;
    request?: () => Promise<any>;
    render?: (text: string, record: Record<string, any>, index: number) => ReactNode;
    renderFormItem?: (item: any, { formItemProps, fieldProps, ...rest }: any, form: any) => ReactNode;
}
declare type defaultColConfig = {
    xs: 24;
    sm: 24;
    md: 12;
    lg: 12;
    xl: 8;
    xxl: 6;
};
export interface Isearch {
    labelWidth?: number | 'auto';
    span?: number | defaultColConfig;
    filterType?: 'query' | 'light';
    searchText?: string;
    resetText?: string;
    hideResetBtn?: boolean;
    submitText?: string;
    hideSubmit?: boolean;
    searchButtonConfig?: Record<string, any>;
    tableBarDom?: ReactNode[];
    transform?: (value: any) => any;
    optionDomReverse?: boolean;
    optionRender?: ((searchConfig: any, formProps: any, dom: any) => ReactNode[]) | false;
}
export interface WFormProps extends FormProps {
    className?: string;
    style?: React.CSSProperties;
    columns: ColumnProps[];
    extraColumns?: ColumnProps[];
    disabled?: boolean;
    deps?: any;
    disabledHideInSearch?: boolean;
    setForm?: (form: any) => void;
    onSubmit?: (params: Record<string, any>) => void;
    onFormChange?: (changedValues: Record<string, any>, allValues: Record<string, any>, form: any) => void;
    onReset?: () => void;
    formRef?: MutableRefObject<FormInstance>;
    search?: Isearch | false;
    disabledRuler?: boolean;
}
declare const _default: React.ForwardRefExoticComponent<WFormProps & React.RefAttributes<unknown>>;
export default _default;
