declare const pageId: string;
/**
 * 初始化基础数据
 * @param {*} options 基础配置
 */
declare function init(options?: any): void;
/**
 * 记录需要发送的埋点数据
 * @param {*} e 需要发送的事件信息
 * @param {boolean} flush 是否立即发送
 */
declare function emit(e: any, flush?: boolean): void;
/**
 * 设置额外的 customerId
 * @param {*} id 需要设置的id
 */
declare function setCustomerId(id: any): void;
/**
 * 设置额外的 userUuid
 * @param {*} id 需要设置的id
 */
declare function setUserUuid(id: any): void;
/**
 * 控制台输出信息
 * @param  {...any} args 输出信息
 */
declare function debug(...args: string[]): void;
export { emit, debug, pageId };
declare const _default: {
    init: typeof init;
    emit: typeof emit;
    pageId: string;
    setCustomerId: typeof setCustomerId;
    setUserUuid: typeof setUserUuid;
};
export default _default;
