/**
 * 获取一个随机字符串(全局唯一标识符)
 */
declare function uuid(): string;
/**
 * 获取cookie中目标name的值
 * @param {String} name cookie名
 * @returns
 */
declare function getCookieByName(name: string): string | undefined;
/**
 * 向下兼容发送信号的方法
 */
declare const sendBeacon: (url: string | URL, data: any) => void;
/**
 * map方法
 * @param {Array} arr 源数组
 * @param {Function} fn 条件函数
 * @returns
 */
declare function map(arr: any, fn: (value: any, index: number, array: any[]) => unknown): unknown[];
/**
 * filter方法
 * @param {Array} arr 源数组
 * @param {Function} fn 条件函数
 * @returns
 */
declare function filter(arr: any, fn: (value: any, index: number, array: any[]) => unknown): any[];
/**
 * find方法
 * @param {Array} arr 源数组
 * @param {Function} fn 条件函数
 * @returns
 */
declare function find(arr: any, fn: (value: any, index: number, obj: any[]) => unknown): any;
/**
 * 去除头部或者尾部的空格
 * @param {*} str 需要去除的字符串
 * @returns 去除后的字符串
 */
declare function trim(str?: string): string;
/**
 * 可以理解为异步执行
 * requestIdleCallback 是浏览器空闲时会自动执行内部函数
 * requestAnimationFrame 是浏览器必须执行的
 * 关于 requestIdleCallback 和  requestAnimationFrame 可以参考 https://www.cnblogs.com/cangqinglang/p/13877078.html
 */
declare const nextTime: ((callback: IdleRequestCallback, options?: IdleRequestOptions | undefined) => number) & typeof requestIdleCallback;
/**
 * 取消异步执行
 */
declare const cancelNextTime: ((handle: number) => void) & typeof cancelIdleCallback;
export { uuid, getCookieByName, sendBeacon, map, filter, find, trim, nextTime, cancelNextTime, };
